Summary: Collection of simple PIN or passphrase entry dialogs
Name: pinentry
Version: 0.9.0
Release: r2.0
License: GPLv2
Group: base
Packager: Wind River <info@windriver.com>
URL: http://www.gnupg.org/related_software/pinentry/index.en.html
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: ncurses
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: libcap
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libncursesw5 >= 5.9
Requires: libtinfo5 >= 5.9
Requires: libtinfo.so.5()(64bit)
Requires: libcap2 >= 2.22
Requires: libc.so.6()(64bit)
Requires: libncursesw.so.5()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+19
Requires: libcap.so.2()(64bit)
Provides: elf(buildid) = 02bc4483403dc6d9fcd905ca76f64727c6eccaef

%description
Pinentry is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project; see
http://www.gnupg.org/aegypten/ for details.     This package contains the
curses (text) based version of the PIN entry dialog.

%package -n pinentry-dbg
Summary: Collection of simple PIN or passphrase entry dialogs - Debugging files
Group: devel
Suggests: libc6-dbg
Suggests: ncurses-libncursesw-dbg
Suggests: ncurses-libtinfo-dbg
Suggests: libcap-dbg
Recommends: pinentry = 0.9.0-r2.0

%description -n pinentry-dbg
Pinentry is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project; see
http://www.gnupg.org/aegypten/ for details.     This package contains the
curses (text) based version of the PIN entry dialog.  This package contains
ELF symbols and related sources for debugging purposes.

%package -n pinentry-staticdev
Summary: Collection of simple PIN or passphrase entry dialogs - Development files (Static Libraries)
Group: devel
Requires: pinentry-dev = 0.9.0-r2.0

%description -n pinentry-staticdev
Pinentry is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project; see
http://www.gnupg.org/aegypten/ for details.     This package contains the
curses (text) based version of the PIN entry dialog.  This package contains
static libraries for software development.

%package -n pinentry-dev
Summary: Collection of simple PIN or passphrase entry dialogs - Development files
Group: devel
Requires: pinentry = 0.9.0-r2.0
Suggests: libc6-dev
Suggests: ncurses-libncursesw-dev
Suggests: ncurses-libtinfo-dev
Suggests: ncurses-dev
Suggests: libcap-dev

%description -n pinentry-dev
Pinentry is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project; see
http://www.gnupg.org/aegypten/ for details.     This package contains the
curses (text) based version of the PIN entry dialog.  This package contains
symbolic links, header files, and related items necessary for software
development.

%package -n pinentry-doc
Summary: Collection of simple PIN or passphrase entry dialogs - Documentation files
Group: doc

%description -n pinentry-doc
Pinentry is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project; see
http://www.gnupg.org/aegypten/ for details.     This package contains the
curses (text) based version of the PIN entry dialog.  This package contains
documentation.

%package -n pinentry-locale
Summary: Collection of simple PIN or passphrase entry dialogs
Group: base

%description -n pinentry-locale
Pinentry is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project; see
http://www.gnupg.org/aegypten/ for details.     This package contains the
curses (text) based version of the PIN entry dialog.

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
"/usr/bin/pinentry"
"/usr/bin/pinentry-curses"

%files -n pinentry-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/src"
%dir "/usr/bin"
%dir "/usr/src/debug"
%dir "/usr/src/debug/pinentry"
%dir "/usr/src/debug/pinentry/0.9.0-r2"
%dir "/usr/src/debug/pinentry/0.9.0-r2/pinentry-0.9.0"
%dir "/usr/src/debug/pinentry/0.9.0-r2/pinentry-0.9.0/pinentry"
%dir "/usr/src/debug/pinentry/0.9.0-r2/pinentry-0.9.0/curses"
%dir "/usr/src/debug/pinentry/0.9.0-r2/pinentry-0.9.0/assuan"
%dir "/usr/src/debug/pinentry/0.9.0-r2/pinentry-0.9.0/secmem"
"/usr/src/debug/pinentry/0.9.0-r2/pinentry-0.9.0/pinentry/pinentry.h"
"/usr/src/debug/pinentry/0.9.0-r2/pinentry-0.9.0/pinentry/pinentry-curses.c"
"/usr/src/debug/pinentry/0.9.0-r2/pinentry-0.9.0/pinentry/pinentry.c"
"/usr/src/debug/pinentry/0.9.0-r2/pinentry-0.9.0/curses/pinentry-curses.c"
"/usr/src/debug/pinentry/0.9.0-r2/pinentry-0.9.0/assuan/assuan-errors.c"
"/usr/src/debug/pinentry/0.9.0-r2/pinentry-0.9.0/assuan/assuan-pipe-server.c"
"/usr/src/debug/pinentry/0.9.0-r2/pinentry-0.9.0/assuan/assuan.h"
"/usr/src/debug/pinentry/0.9.0-r2/pinentry-0.9.0/assuan/assuan-handler.c"
"/usr/src/debug/pinentry/0.9.0-r2/pinentry-0.9.0/assuan/assuan-buffer.c"
"/usr/src/debug/pinentry/0.9.0-r2/pinentry-0.9.0/assuan/assuan-listen.c"
"/usr/src/debug/pinentry/0.9.0-r2/pinentry-0.9.0/assuan/assuan-util.c"
"/usr/src/debug/pinentry/0.9.0-r2/pinentry-0.9.0/assuan/assuan-defs.h"
"/usr/src/debug/pinentry/0.9.0-r2/pinentry-0.9.0/secmem/util.c"
"/usr/src/debug/pinentry/0.9.0-r2/pinentry-0.9.0/secmem/util.h"
"/usr/src/debug/pinentry/0.9.0-r2/pinentry-0.9.0/secmem/memory.h"
"/usr/src/debug/pinentry/0.9.0-r2/pinentry-0.9.0/secmem/secmem.c"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/pinentry-curses"

%files -n pinentry-dev
%defattr(-,-,-,-)

%files -n pinentry-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/info"
"/usr/share/info/pinentry.info"

